import { SimpleLocalClient } from '../../core/index.js';
import type { IGreenwaveConfig } from './greenwave.types.js';
import { greenwaveProfile } from './greenwave.types.js';

export class GreenwaveClient extends SimpleLocalClient<IGreenwaveConfig> {
  constructor(configArg: IGreenwaveConfig) {
    super(greenwaveProfile, configArg);
  }
}
